Search documentation of bb

# BB.Error.State.Invalid exception (bb v0.17.0)

Copy Markdown View Source

Invalid state reference.

Raised when attempting to transition to or reference a state that is not defined in the robot's DSL.

## Summary

### Types

t()

### Functions

exception(args)

Create an `Elixir.BB.Error.State.Invalid` without raising it.

## Types

# t()

    @type t() :: %BB.Error.State.Invalid{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      state: atom(),
      valid_states: [atom()],
      vars: term()
    }

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.State.Invalid{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      state: term(),
      valid_states: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.State.Invalid` without raising it.

## Keys

- :state
- :valid_states